
Figure - Bug #115402
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】遥控器应用列表页面，首次点击打开应用，第二次点击该应用无法关闭
2023-01-18 16:39 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-18

Priority: High Due date: 2023-02-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0069.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

Reproducibility: Every time Fixed Version: 2023-02-03

Test Type: ST Root cause: 缺乏关闭app接口��解决方案：��SDK和服务端增加关闭app接口，在app列表中添加应用打开信息和应用关闭功能

Description

【前提条件】

1、设备已开机

【测试步骤】

1.设备已经连接遥控器

2、点击获取应用列表

3、点击其中一个应用图标

4、再次点击该应用图标

【预期结果】

4、关闭步骤三中的应用

【实际结果】

4、没有关闭步骤三中的应用

History

#1 - 2023-01-30 10:21 - CD FW-程天颖

- Category changed from CD-FW to 依赖UI/UE

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-程天颖 to 方案组-RD3_CDTS 王浩云

Hi,浩云：

  请帮忙确认一下需求，prd中的描述如下：6. App list 及快捷中心list同步：需要把所有的APP list，以及快捷中心的功能清单推送至手机APP，手机端执行

，开启，关闭等操作时，屏幕端同步响应

其中app需要再次点击关闭操的功能吗？

#2 - 2023-01-30 10:23 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD FW-程天颖

app侧如何交互不管，不一定点击，但需要在关闭的时候，能调用到相应的接口，至于APP侧如何触发，由APP侧决定，我们的demo可以有个示意，不一
定非要再次点击

#3 - 2023-01-30 10:38 - CD FW-程天颖

- Category changed from 依赖UI/UE to CD-FW

#4 - 2023-01-31 13:38 - CD FW 曹覃刚

- Due date set to 2023-02-03

#5 - 2023-02-02 20:50 - CD FW-程天颖

- % Done changed from 0 to 50

- Root cause set to 缺乏关闭app接口

解决方案：

SDK和服务端增加关闭app接口，在app列表中添加应用打开信息和应用关闭功能

■ Current conclusion

代码测试完成，已提交

■ My analysis

缺乏关闭app接口

解决方案：

SDK和服务端增加关闭app接口，在app列表中添加应用打开信息和应用关闭功能

■ Next action

代码入库

#6 - 2023-02-03 19:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178766 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - Fixed  No ability to close appsTC-RID: 1201-0206002IssueID: TS-R-BUG-115402Change-Id:

I803c0f1e83d85890ce363a884f2bd71b2e5b06c0

#7 - 2023-02-03 19:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178273 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Server - Fixed  No ability to close appsTC-RID: 1201-0206001IssueID: TS-R-BUG-115402Change-Id:

Ibf2a2554968758c731e0ce3fd00b53da5b7e65d1

#8 - 2023-02-03 19:09 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红
- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-03

■ Current conclusion

提交已入库

■ My analysis

缺乏关闭app接口

解决方案：

SDK和服务端增加关闭app接口，在app列表中添加应用打开信息和应用关闭功能

■ Submit url:

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/178930

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/178273

#9 - 2023-02-06 16:17 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

2.6

验证通过

#10 - 2023-02-06 16:18 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
